/* H soubor pro server.c */

// Definice konstant
#define TCP_State_Idle				0
#define TCP_State_Synchronizing		1
#define TCP_State_SendingWWW		2

// Definice offsetu pro ulozeni informace o aktivaci/deaktivaci jednotlivych casti serveru
#define SERVER_ENABLE_WWW			0
#define SERVER_ENABLE_UDP			1
#define SERVER_ENABLE_TELNET		2
#define SERVER_ENABLE_PING			3
#define SERVER_ENABLE_WWW2			4

// Prototypy funkci
void ServerInit(void);
void ServerStart(void);
uint8_t Check_ETH_type_ARP_myIP(uint8_t *buffer, uint16_t len);
uint8_t Check_ETH_type_IP_myIP(uint8_t *buffer, uint16_t len);
void Server_SetPortUDP(uint8_t port);
void Server_SetPortWWW(uint8_t port);
uint8_t Server_GetPortUDP(void);
uint8_t Server_GetPortWWW(void);
void Server_SetIP(uint8_t *IP);
void Server_GetIP(uint8_t *IP);

/* Konec souboru */
